Sincronización con Mailchimp

Firebase
Made by Firebase

Añade usuarios nuevos de Firebase Authentication a la audiencia de Mailchimp especificada.

Funcionamiento de la extensión

Use this extension to add new users to an existing Mailchimp audience.

This extension adds the email address of each new user to your specified Mailchimp audience. Also, if the user deletes their user account for your app, this extension removes the user from the Mailchimp audience.

Note: To use this extension, you need to manage your users with Firebase Authentication.

This extension uses Mailchimp, so you'll need to supply your Mailchimp API Key and Audience ID when installing this extension.

Additional setup

Make sure that you've set up Firebase Authentication to manage your users.

You must also have a Mailchimp account before installing this extension.

Billing

To install an extension, your project must be on the Blaze (pay as you go) plan

  • You will be charged a small amount (typically around $0.01/month) for the Firebase resources required by this extension (even if it is not used).
  • This extension uses other Firebase and Google Cloud Platform services, which have associated charges if you exceed the service’s free tier:
  • Cloud Functions (Node.js 10+ runtime. See FAQs)

Usage of this extension also requires you to have a Mailchimp account. You are responsible for any associated costs with your usage of Mailchimp.

Instalación de la extensión

Con la consola de Firebase

Para instalar y gestionar las extensiones, puedes usar la consola de Firebase.

Instalar con consola

Con la CLI de Firebase

Para instalar y gestionar las extensiones, también puedes usar la CLI de Firebase:

Paso 1: Ejecuta el siguiente comando npm para instalar la CLI o actualizarla a la versión más reciente.

npm install -g firebase-tools
¿No funciona? Consulta la referencia de la CLI de Firebase o cambia los permisos de npm.

Paso 2: Para instalar la extensión, ejecuta el siguiente comando:

firebase ext:install auth-mailchimp-sync --project=projectId_or_alias
Licencia
Apache-2.0
Versión
0.1.2